org.richfaces.renderkit.html

## Class AutocompleteRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.AutocompleteRendererBase
        - - org.richfaces.renderkit.html.AutocompleteRenderer

- All Implemented Interfaces:
    org.richfaces.renderkit.MetaComponentRenderer

      public class AutocompleteRenderer
      extends AutocompleteRendererBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutocompleteRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeBegin(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.renderkit.AutocompleteRendererBase

      `decodeMetaComponent, doDecode, encodeItem, encodeItems, encodeItemsContainer, encodeMetaComponent, getClientFilterFunction, getConvertedValue, getMinCharsOrDefault`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutocompleteRenderer

          public AutocompleteRenderer()

  - ### Method Detail

    - #### doEncodeBegin

          public void doEncodeBegin(javax.faces.context.ResponseWriter responseWriter,
                           javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)
                             throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.
      Overrides:
        `doEncodeBegin` in class `RendererBase`
      Throws:
        `IOException`

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter responseWriter,
                              javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeChildren` in class `RendererBase`
      Throws:
        `IOException`

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.